Subject: Again, looking for cutting of a hoya bella for cross-fertilization

From: [email-masked] (Bill Mackin)
Date: 22 Mar 1996 14:33:30 GMT

I posted this request some months ago, and wasn't successful.  I have
a hoya bella, a neat little plant that produces 5-6 little white 
flowers with pink centers arranged in a circle around one in the 
center.  My grandmother and I keep taking cuttings and planting in 
other pots, but I'd like to find a different plant to start so I can 
try to cross-fertilize them and get seeds.  Also, if you have 
information on how the seeds would be produced, I'd appreciate that, 
too.  Please e-mail me at  [email-masked] . Thanks.